README
Created by Laurence D. Finston (LDF)
 
* (1) Copyright and License.

This file is part of GNU 3DLDF, a package for three-dimensional drawing.  
Copyright (C) 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 The Free Software Foundation  

GNU 3DLDF is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 3 of the License, or 
(at your option) any later version.  

GNU 3DLDF is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details.  

You should have received a copy of the GNU General Public License 
along with GNU 3DLDF; if not, write to the Free Software 
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 

GNU 3DLDF is a GNU package.  
It is part of the GNU Project of the  
Free Software Foundation 
and is published under the GNU General Public License. 
See the website http://www.gnu.org 
for more information.   
GNU 3DLDF is available for downloading from 
http://www.gnu.org/software/3dldf/LDF.html.

Please send bug reports to Laurence.Finston@gmx.de
The mailing list help-3dldf@gnu.org is available for people to 
ask other users for help.  
The mailing list info-3dldf@gnu.org is for sending 
announcements to users. To subscribe to these mailing lists, send an 
email with ``subscribe <email-address>'' as the subject.  

The author can be contacted at: 

Laurence D. Finston                  
c/o Free Software Foundation, Inc.  
51 Franklin St, Fifth Floor          
Boston, MA  02110-1301              
USA                               

Laurence.Finston@gmx.de


* Downloading

GNU 3DLDF 2.0.3 is available for downloading from the following servers using
the protocols indicated (i.e., `ftp', `http', and `rsync'): 

Free Software Foundation/GNU Project server:

ftp://ftp.gnu.org/gnu/3dldf
http://ftp.gnu.org/gnu/3dldf

* Mailing lists

The following mailing lists are available:

help-3dldf@gnu.org --- For users to ask one another for help.  
info-3dldf@gnu.org --- For the maintainer of GNU 3DLDF to send 
                       announcements to users. 

To subscribe to these mailing lists, please send an 
email with ``subscribe'' as the subject.  

* Web sites
The official GNU 3DLDF website is
http://www.gnu.org/software/3dldf.  

* Description of GNU 3DLDF 

GNU 3DLDF is a package for three-dimensional drawing with MetaPost output.

* Documentation

See the directories 3DLDF-2.0.3/doc/ and 3DLDF-2.0.3/doc/old_doc.


* Installing 

The file INSTALL contains generic instructions on installing GNU packages.
They apply to GNU 3DLDF 2.0, however PLEASE NOTE that the environment variable 
`LIBS' must be set to `-lgsl -lgslcblas -lm' when the `configure' script is run, 
e.g.:

   cd <your path>/3DLDF-2.0.3 
   export LIBS="-lgsl -lgslcblas -lm"
   configure --prefix=`pwd`

or 

   cd <your path>/3DLDF-2.0.3 
   configure --prefix=`pwd` LIBS="-lgsl -lgslcblas -lm"

In these example, the package will be installed below the current directory,
i.e., the top-level distribution directory.  It is safe to do this.  

Alternatively, the shellscript `3DLDF-2.0.3/reconfig.sh' may be used to call
`configure'.  If `reconfig.sh' is invoked without any arguments, or if its 
first argument is 0, shared libraries will be built.  Otherwise, they won't.
Not building shared libraries is faster.

* Running 3dldf

After the package has been installed, the program `3dldf' may be invoked from
the command-line like this:

    3dldf

The user will be prompted for input.

Alternatively, one or more filenames may be specified:

   3dldf sample.ldf sample1.ldf

The suffix `.ldf' may be omitted.  If an input files has a different suffix,
however, it must be specified.

See the subdirectories `3DLDF-2.0.3/src/' and `3DLDF-2.0.3/examples/' for examples.

%% Local Variables:
%% mode:plain-TeX
%% outline-minor-mode:t
%% outline-regexp:"^\\*+"
%% End:

